# ArrayIterator::offsetSet

(PHP 5, PHP 7, PHP 8)

ArrayIterator::offsetSet — Establece el valor para un índice

### Descripción

public ArrayIterator::offsetSet(mixed `$key`, mixed `$value`): void

Establecer el valor para el índice dado.

Advertencia

Esta función no está documentada actualmente, solamente se encuentra disponible la lista de parámetros.

### Parámetros

`key`

  El índice a ser establecido.

`value`

  El nuevo valor para almacenar en el índice.

### Valores devueltos

No devuelve ningún valor.

### Ver también

- ArrayIterator::offsetGet() - Obtener el valor de un índice
- ArrayIterator::offsetUnset() - Destruye el valor de un índice